> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Nearest Genes

> Retrieve a list of human genes if region is in a coding variant. Otherwise, it returns the nearest human genes on each side.

Example: region = chr1:1157520-1158189 (maximum length: 10kb).



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/nearest-genes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/nearest-genes:
    get:
      summary: Variants Nearest Genes
      description: >-
        Retrieve a list of human genes if region is in a coding variant.
        Otherwise, it returns the nearest human genes on each side.


        Example: region = chr1:1157520-1158189 (maximum length: 10kb).
      operationId: nearestGenes
      parameters:
        - name: region
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    chr:
                      type: string
                    start:
                      type: number
                      nullable: true
                    end:
                      type: number
                      nullable: true
                    gene_type:
                      type: string
                      nullable: true
                    name:
                      type: string
                    strand:
                      type: string
                      nullable: true
                    hgnc:
                      type: string
                      nullable: true
                    entrez:
                      type: string
                      nullable: true
                    collections:
                      type: array
                      items:
                        type: string
                      nullable: true
                    study_sets:
                      type: array
                      items:
                        type: string
                      nullable: true
                    source:
                      type: string
                    version:
                      type: string
                    source_url:
                      type: string
                    synonyms:
                      type: array
                      items:
                        type: string
                      nullable: true
                  required:
                    - _id
                    - chr
                    - start
                    - end
                    - gene_type
                    - name
                    - source
                    - version
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````